memset(3)

NAME
memset - memory set

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <string.h>  // see memory.h(3head)

void *memset(size_t n;
             void a[n], int c, size_t n);

DESCRIPTION
The memset() function fills the first n bytes of the memory area pointed to by a with the constant byte c.

RETURN VALUE
The memset() function returns a pointer to the memory area a.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C11, POSIX.1-2008.

HISTORY
POSIX.1-2001, C89, SVr4, 4.3BSD.

CAVEATS
If the compiler deduces that the operation is unnecessary, it may totally or partially remove the call. To ensure the setting happens regardless of optimizations, use memset_explicit(3).

SEE ALSO
memory.h(3head), bzero(3), swab(3), wmemset(3)